WCSWIDTH(3)

NAME
wcswidth - determine columns needed for a fixed-size wide-character string

SYNOPSIS
#define _XOPEN_SOURCE             /* See feature_test_macros(7) */
#include <wchar.h>

int wcswidth(const wchar_t *s, size_t n);

DESCRIPTION
The wcswidth() function returns the number of columns needed to represent the wide-character string pointed to by s, but at most n wide characters. If a nonprintable wide character occurs among these characters, -1 is returned.

RETURN VALUE
The wcswidth() function returns the number of column positions for the wide-character string s, truncated to at most length n.

ATTRIBUTES

  Multithreading (see pthreads(7))
The wcswidth() function is thread-safe with exceptions. It can be safely used in multithreaded applications, as long as setlocale(3) is not called to change the locale during its execution.

CONFORMING TO
POSIX.1-2001.

NOTES
The behavior of wcswidth() depends on the LC_CTYPE category of the current locale.

SEE ALSO
iswprint(3), wcwidth(3)

COLOPHON
This page is part of release 3.58 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.